Plesk\backup\Agent\Schema\Backup\PhostingType:
    properties:
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        ownerGuid:
            expose: true
            access_type: public_method
            serialized_name: owner-guid
            accessor:
                getter: getOwnerGuid
                setter: setOwnerGuid
            xml_attribute: true
            type: string
        https:
            expose: true
            access_type: public_method
            serialized_name: https
            accessor:
                getter: getHttps
                setter: setHttps
            xml_attribute: true
            type: string
        fp:
            expose: true
            access_type: public_method
            serialized_name: fp
            accessor:
                getter: getFp
                setter: setFp
            xml_attribute: true
            type: string
        fpssl:
            expose: true
            access_type: public_method
            serialized_name: fpssl
            accessor:
                getter: getFpssl
                setter: setFpssl
            xml_attribute: true
            type: string
        fpauth:
            expose: true
            access_type: public_method
            serialized_name: fpauth
            accessor:
                getter: getFpauth
                setter: setFpauth
            xml_attribute: true
            type: string
        webstat:
            expose: true
            access_type: public_method
            serialized_name: webstat
            accessor:
                getter: getWebstat
                setter: setWebstat
            xml_attribute: true
            type: string
        errdocs:
            expose: true
            access_type: public_method
            serialized_name: errdocs
            accessor:
                getter: getErrdocs
                setter: setErrdocs
            xml_attribute: true
            type: string
        sharedContent:
            expose: true
            access_type: public_method
            serialized_name: shared-content
            accessor:
                getter: getSharedContent
                setter: setSharedContent
            xml_attribute: true
            type: string
        atDomains:
            expose: true
            access_type: public_method
            serialized_name: at-domains
            accessor:
                getter: getAtDomains
                setter: setAtDomains
            xml_attribute: true
            type: string
        wuScript:
            expose: true
            access_type: public_method
            serialized_name: wu_script
            accessor:
                getter: getWuScript
                setter: setWuScript
            xml_attribute: true
            type: string
        iisAppPool:
            expose: true
            access_type: public_method
            serialized_name: iis-app-pool
            accessor:
                getter: getIisAppPool
                setter: setIisAppPool
            xml_attribute: true
            type: string
        cgiBinMode:
            expose: true
            access_type: public_method
            serialized_name: cgi_bin_mode
            accessor:
                getter: getCgiBinMode
                setter: setCgiBinMode
            xml_attribute: true
            type: string
        wwwRoot:
            expose: true
            access_type: public_method
            serialized_name: www-root
            accessor:
                getter: getWwwRoot
                setter: setWwwRoot
            xml_attribute: true
            type: string
        sitebuilderSiteId:
            expose: true
            access_type: public_method
            serialized_name: sitebuilder-site-id
            accessor:
                getter: getSitebuilderSiteId
                setter: setSitebuilderSiteId
            xml_attribute: true
            type: string
        sitebuilderSitePublished:
            expose: true
            access_type: public_method
            serialized_name: sitebuilder-site-published
            accessor:
                getter: getSitebuilderSitePublished
                setter: setSitebuilderSitePublished
            xml_attribute: true
            type: string
        maintenanceMode:
            expose: true
            access_type: public_method
            serialized_name: maintenance-mode
            accessor:
                getter: getMaintenanceMode
                setter: setMaintenanceMode
            xml_attribute: true
            type: string
        certificate:
            expose: true
            access_type: public_method
            serialized_name: certificate
            accessor:
                getter: getCertificate
                setter: setCertificate
            xml_attribute: true
            type: string
        originalConfDirectory:
            expose: true
            access_type: public_method
            serialized_name: original-conf-directory
            accessor:
                getter: getOriginalConfDirectory
                setter: setOriginalConfDirectory
            xml_attribute: true
            type: string
        sslRedirect:
            expose: true
            access_type: public_method
            serialized_name: sslRedirect
            accessor:
                getter: getSslRedirect
                setter: setSslRedirect
            xml_attribute: true
            type: string
        wapp:
            expose: true
            access_type: public_method
            serialized_name: wapp
            accessor:
                getter: getWapp
                setter: setWapp
            xml_attribute: true
            type: string
        wappVersion:
            expose: true
            access_type: public_method
            serialized_name: wapp-version
            accessor:
                getter: getWappVersion
                setter: setWappVersion
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: Plesk\backup\Agent\Schema\Backup\PhostingType\PreferencesAType
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: array<Plesk\backup\Agent\Schema\Backup\Ip>
            xml_list:
                inline: false
                entry_name: ip
                skip_when_empty: true
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: Plesk\backup\Agent\Schema\Backup\PhostingType\LimitsAndPermissionsAType
        phpSettings:
            expose: true
            access_type: public_method
            serialized_name: php-settings
            xml_element:
                cdata: false
            accessor:
                getter: getPhpSettings
                setter: setPhpSettings
            type: Plesk\backup\Agent\Schema\Backup\PhpSettings
        webSettings:
            expose: true
            access_type: public_method
            serialized_name: web-settings
            xml_element:
                cdata: false
            accessor:
                getter: getWebSettings
                setter: setWebSettings
            type: Plesk\backup\Agent\Schema\Backup\WebSettings
        applications:
            expose: true
            access_type: public_method
            serialized_name: applications
            xml_element:
                cdata: false
            accessor:
                getter: getApplications
                setter: setApplications
            type: array<Plesk\backup\Agent\Schema\Backup\SappInstalled>
            xml_list:
                inline: false
                entry_name: sapp-installed
                skip_when_empty: true
        mimeTypes:
            expose: true
            access_type: public_method
            serialized_name: mime-types
            xml_element:
                cdata: false
            accessor:
                getter: getMimeTypes
                setter: setMimeTypes
            type: array<Plesk\backup\Agent\Schema\Backup\MimeType>
            xml_list:
                inline: false
                entry_name: mime-type
                skip_when_empty: true
        webusers:
            expose: true
            access_type: public_method
            serialized_name: webusers
            xml_element:
                cdata: false
            accessor:
                getter: getWebusers
                setter: setWebusers
            type: array<Plesk\backup\Agent\Schema\Backup\Webuser>
            xml_list:
                inline: false
                entry_name: webuser
                skip_when_empty: true
        ftpusers:
            expose: true
            access_type: public_method
            serialized_name: ftpusers
            xml_element:
                cdata: false
            accessor:
                getter: getFtpusers
                setter: setFtpusers
            type: array<Plesk\backup\Agent\Schema\Backup\Ftpuser>
            xml_list:
                inline: false
                entry_name: ftpuser
                skip_when_empty: true
        frontpageusers:
            expose: true
            access_type: public_method
            serialized_name: frontpageusers
            xml_element:
                cdata: false
            accessor:
                getter: getFrontpageusers
                setter: setFrontpageusers
            type: Plesk\backup\Agent\Schema\Backup\DeprecatedElementType
        subdomains:
            expose: true
            access_type: public_method
            serialized_name: subdomains
            xml_element:
                cdata: false
            accessor:
                getter: getSubdomains
                setter: setSubdomains
            type: Plesk\backup\Agent\Schema\Backup\DeprecatedElementType
        sites:
            expose: true
            access_type: public_method
            serialized_name: sites
            xml_element:
                cdata: false
            accessor:
                getter: getSites
                setter: setSites
            type: array<Plesk\backup\Agent\Schema\Backup\SiteType>
            xml_list:
                inline: false
                entry_name: site
                skip_when_empty: true
